> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Funds transfer

POST https://www.okx.com/api/v5/asset/transfer
Content-Type: application/json

Transfer funds between your funding account and trading account, and between the master account and sub-accounts. Only API keys with Trade privilege can call this endpoint.

Reference: https://okx-demo.ferndocs.com/api/api-reference/funding/transfer

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Body (application/json)

This endpoint expects an object.

- `ccy` (string, required) — Currency, e.g. USDT.
- `amt` (string, required) — Amount to be transferred.
- `from` (enum, required) — The remitting account: 6=Funding account, 18=Trading account.
  - Allowed values: `6`, `18`
- `to` (enum, required) — The beneficiary account: 6=Funding account, 18=Trading account.
  - Allowed values: `6`, `18`
- `subAcct` (string, optional) — Name of the sub-account. Required when type is 1, 2, or 4.
- `type` (enum, optional) — Transfer type: 0=within account, 1=master-to-subaccount (by master), 2=subaccount-to-master (by master), 3=subaccount-to-master (by sub), 4=subaccount-to-subaccount. Default is 0.
  - Allowed values: `0`, `1`, `2`, `3`, `4`
- `loanTrans` (boolean, optional) — Whether or not borrowed coins can be transferred out under Multi-currency margin/Portfolio margin. Default is false.
- `clientId` (string, optional) — Client-supplied ID. A combination of case-sensitive alphanumerics, up to 32 characters.
- `omitPosRisk` (string, optional) — Ignore position risk. Default is false. Applicable to Portfolio margin.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5AssetTransferPostResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5AssetTransferPostResponsesContentApplicationJsonSchemaDataItems

- `transId` (string, optional) — Transfer ID.
- `clientId` (string, optional) — Client-supplied ID.
- `ccy` (string, optional) — Currency.
- `from` (string, optional) — The remitting account.
- `amt` (string, optional) — Amount transferred.
- `to` (string, optional) — The beneficiary account.

## Examples

**Request**

```json
{
  "ccy": "USDT",
  "amt": "1.5",
  "from": "6",
  "to": "18"
}
```

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "transId": "754147",
      "clientId": "",
      "ccy": "USDT",
      "from": "6",
      "amt": "0.1",
      "to": "18"
    }
  ]
}
```

**SDK Code**

```python funding_transfer_example
import requests

url = "https://www.okx.com/api/v5/asset/transfer"

payload = {
    "ccy": "USDT",
    "amt": "1.5",
    "from": "6",
    "to": "18"
}
headers = {
    "OK-ACCESS-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript funding_transfer_example
const url = 'https://www.okx.com/api/v5/asset/transfer';
const options = {
  method: 'POST',
  headers: {'OK-ACCESS-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"ccy":"USDT","amt":"1.5","from":"6","to":"18"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go funding_transfer_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/asset/transfer"

	payload := strings.NewReader("{\n  \"ccy\": \"USDT\",\n  \"amt\": \"1.5\",\n  \"from\": \"6\",\n  \"to\": \"18\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby funding_transfer_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/asset/transfer")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"ccy\": \"USDT\",\n  \"amt\": \"1.5\",\n  \"from\": \"6\",\n  \"to\": \"18\"\n}"

response = http.request(request)
puts response.read_body
```

```java funding_transfer_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://www.okx.com/api/v5/asset/transfer")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"ccy\": \"USDT\",\n  \"amt\": \"1.5\",\n  \"from\": \"6\",\n  \"to\": \"18\"\n}")
  .asString();
```

```php funding_transfer_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://www.okx.com/api/v5/asset/transfer', [
  'body' => '{
  "ccy": "USDT",
  "amt": "1.5",
  "from": "6",
  "to": "18"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp funding_transfer_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/asset/transfer");
var request = new RestRequest(Method.POST);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"ccy\": \"USDT\",\n  \"amt\": \"1.5\",\n  \"from\": \"6\",\n  \"to\": \"18\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift funding_transfer_example
import Foundation

let headers = [
  "OK-ACCESS-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "ccy": "USDT",
  "amt": "1.5",
  "from": "6",
  "to": "18"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/asset/transfer")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```